Get one aggregated testing-lab result with nested runs
curl --request GET \
--url https://prod.featherhq.com/api/v1/testing-lab/results/{resultId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://prod.featherhq.com/api/v1/testing-lab/results/{resultId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://prod.featherhq.com/api/v1/testing-lab/results/{resultId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"agent": 123,
"agent_name": "<string>",
"status": "<string>",
"met_expected_outcome_count": 123,
"total_expected_outcome_count": 123,
"success_rate": 123,
"run_as_text": true,
"is_cronjob": true,
"runs": {},
"overall_evaluation": {},
"total_duration": "<string>",
"total_runs_count": 123,
"completed_runs_count": 123,
"success_runs_count": 123,
"failed_runs_count": 123,
"connected_runs": [
null
],
"failed_infrastructure_runs": [
null
],
"failed_workflow_runs": [
null
],
"successful_calls": [
null
],
"scenarios": [
{
"id": 123,
"name": "<string>"
}
],
"critical_categories": [
null
],
"metrics": [
{
"id": 123,
"name": "<string>",
"eval_type": "<string>",
"simulation_enabled": true,
"observability_enabled": true,
"function_name": "<string>",
"vocera_defined_metric_code": "<string>"
}
],
"domain": "<string>",
"domain_logo": "<string>",
"runs_by_tags": {},
"latency_data": {
"mean": 123,
"median": 123,
"p50": 123,
"p95": 123,
"p99": 123
},
"failed_reasons": {},
"run_type": "<string>",
"run_settings": {},
"created_at": "<string>",
"updated_at": "<string>"
}{
"status": 400,
"message": "Bad request",
"code": "BAD_REQUEST",
"success": false
}{
"status": 404,
"message": "Not found",
"code": "NOT_FOUND",
"success": false
}{
"status": 500,
"message": "Internal server error",
"code": "INTERNAL_SERVER_ERROR",
"success": false
}Testing Lab
Get one aggregated testing-lab result with nested runs
GET
/
api
/
v1
/
testing-lab
/
results
/
{resultId}
Get one aggregated testing-lab result with nested runs
Authorizations
Path Parameters
Minimum string length:
1Query Parameters
Minimum string length:
1Response
Result detail retrieved successfully
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I